Click or drag to resize
CurveOffsetOnSurface Method (BrepFace, Point2d, Double)
Offset a curve on a brep face surface. This curve must lie on the surface.

This overload allows to specify a surface point at which the offset will pass.

Namespace: Rhino.Geometry
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public Curve[] OffsetOnSurface(
	BrepFace face,
	Point2d throughPoint,
	double fittingTolerance
)

Parameters

face
Type: Rhino.GeometryBrepFace
The brep face on which to offset.
throughPoint
Type: Rhino.GeometryPoint2d
2d point on the brep face to offset through.
fittingTolerance
Type: SystemDouble
A fitting tolerance.

Return Value

Type: Curve
Offset curves on success, or null on failure.
Exceptions
ExceptionCondition
ArgumentNullExceptionIf face is null.
See Also